%define desktopvendor fedora

Name:           ktorrent
Version:        2.1
Release:        7%{?dist}
Summary:        A BitTorrent program for KDE
Group:          Applications/Internet
License:        GPL
URL:            http://ktorrent.pwsp.net/
Source0:        http://ktorrent.org/downloads/2.1/ktorrent-2.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel kdelibs-devel gettext gmp-devel avahi-devel automake desktop-file-utils

%description
KTorrent is a BitTorrent program for KDE. Its main features are native KDE
integration, download of torrent files, upload speed capping, internet
searching using various search engines, UDP Trackers and UPnP support.

%prep
%setup -q
make -f admin/Makefile.common

%build
%configure	--disable-rpath

make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/ktorrent.desktop
/usr/bin/desktop-file-install --vendor=""                       \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications/kde     \
        --add-category=X-Fedora                                 \
        %{buildroot}%{_datadir}/applications/kde/ktorrent.desktop

%post
/sbin/ldconfig 2>/dev/null

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor 2> /dev/null || :
fi

update-desktop-database &> /dev/null ||:

%postun
/sbin/ldconfig 2>/dev/null

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor 2> /dev/null || :
fi

update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%exclude %{_libdir}/lib*.la
%{_bindir}/ktcachecheck
%{_bindir}/ktorrent
%{_bindir}/kttorinfo
%{_bindir}/ktshell
%{_bindir}/ktupnptest
%{_libdir}/libktorrent.so
%{_libdir}/libktorrent-2.1.so
%{_libdir}/kde3/ktinfowidgetplugin.so
%{_libdir}/kde3/ktinfowidgetplugin.la
%{_libdir}/kde3/ktipfilterplugin.so
%{_libdir}/kde3/ktipfilterplugin.la
%{_libdir}/kde3/ktlogviewerplugin.so
%{_libdir}/kde3/ktlogviewerplugin.la
%{_libdir}/kde3/ktpartfileimportplugin.so
%{_libdir}/kde3/ktpartfileimportplugin.la
%{_libdir}/kde3/ktrssfeedplugin.so
%{_libdir}/kde3/ktrssfeedplugin.la
%{_libdir}/kde3/ktscanfolderplugin.so
%{_libdir}/kde3/ktscanfolderplugin.la
%{_libdir}/kde3/ktschedulerplugin.so
%{_libdir}/kde3/ktschedulerplugin.la
%{_libdir}/kde3/ktsearchplugin.so
%{_libdir}/kde3/ktsearchplugin.la
%{_libdir}/kde3/ktupnpplugin.so
%{_libdir}/kde3/ktupnpplugin.la
%{_libdir}/kde3/ktwebinterfaceplugin.so
%{_libdir}/kde3/ktwebinterfaceplugin.la
%{_libdir}/kde3/ktzeroconfplugin.so
%{_libdir}/kde3/ktzeroconfplugin.la
%{_datadir}/applications/kde/ktorrent.desktop
%{_datadir}/apps/ktorrent
%{_datadir}/config.kcfg/ktlogviewerplugin.kcfg
%{_datadir}/config.kcfg/ktrssfeedplugin.kcfg
%{_datadir}/config.kcfg/ktscanfolderplugin.kcfg
%{_datadir}/config.kcfg/ktschedulerplugin.kcfg
%{_datadir}/config.kcfg/ktinfowidgetplugin.kcfg
%{_datadir}/config.kcfg/ktipfilterplugin.kcfg
%{_datadir}/config.kcfg/ktorrent.kcfg
%{_datadir}/config.kcfg/ktsearchplugin.kcfg
%{_datadir}/config.kcfg/ktupnpplugin.kcfg
%{_datadir}/config.kcfg/ktwebinterfaceplugin.kcfg
%{_datadir}/icons/hicolor/128x128/apps/ktorrent.png
%{_datadir}/icons/hicolor/16x16/apps/ktorrent.png
%{_datadir}/icons/hicolor/22x22/apps/ktorrent.png
%{_datadir}/icons/hicolor/32x32/apps/ktorrent.png
%{_datadir}/icons/hicolor/48x48/apps/ktorrent.png
%{_datadir}/icons/hicolor/64x64/apps/ktorrent.png
%{_datadir}/icons/hicolor/scalable/apps/ktorrent.svgz
%{_datadir}/icons/hicolor/128x128/mimetypes/torrent.png
%{_datadir}/icons/hicolor/16x16/mimetypes/torrent.png
%{_datadir}/icons/hicolor/22x22/mimetypes/torrent.png
%{_datadir}/icons/hicolor/32x32/mimetypes/torrent.png
%{_datadir}/icons/hicolor/48x48/mimetypes/torrent.png
%{_datadir}/icons/hicolor/64x64/mimetypes/torrent.png
%{_datadir}/icons/hicolor/scalable/mimetypes/torrent.svgz
%{_datadir}/services/ktscanfolderplugin.desktop
%{_datadir}/services/ktschedulerplugin.desktop
%{_datadir}/services/ktinfowidgetplugin.desktop
%{_datadir}/services/ktipfilterplugin.desktop
%{_datadir}/services/ktlogviewerplugin.desktop
%{_datadir}/services/ktpartfileimportplugin.desktop
%{_datadir}/services/ktrssfeedplugin.desktop
%{_datadir}/services/ktsearchplugin.desktop
%{_datadir}/services/ktupnpplugin.desktop
%{_datadir}/servicetypes/ktorrentplugin.desktop
%{_datadir}/services/ktwebinterfaceplugin.desktop
%{_datadir}/services/ktzeroconfplugin.desktop

%changelog
* Wed Feb 07 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-7
- spec-file adjustments

* Wed Feb 07 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-6
- fixed plugins bug
- fixed configure warnings

* Tue Feb 06 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-4
- added avahi-devel dependecy

* Mon Feb 05 2007 Roland Wolters <wolters.liste@gmx.net> 2.1-3
- Update to upstream version 2.1

* Fri Oct 13 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.3-4
- Update to upstream version 2.0.3
- added znow patch for ppc

* Thu Sep 07 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.2-3
- mass rebuild

* Tue Aug 30 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.2-1
- minor bugfix update

* Tue Aug 29 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.1-3
- mass rebuild

* Mon Aug 21 2006 Roland Wolters <wolters.liste@gmx.net> 2.0.1-1
- update to version 2.0.1

* Sun Aug 20 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-6
- increased minor version to avoid broken update path

* Mon Aug 14 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-3
- fixed small errors in spec file

* Wed Aug 09 2006 Roland Wolters <wolters.liste@gmx.net> 2.0-1
- update to version 2.0

* Fri Jun 23 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-6
- fixed doublication error in rpm spec
- spec file polishing

* Fri Jun 23 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-5
- added %{_datadir}/apps/ktorrent
- removed redundant KTorrent in summary

* Wed Jun 21 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-4
- changed e-mail address to correct packager address

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-3
- corrected *.desktop files
- changed icon scriplets

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-2
- set vendor string to ""
- added gtk-update-icon-cache scriplets to post and postun
- added desktop-database scriplet because of MimeType in ktorrent.desktop
- moved %{_libdir}/kde3/* to main package
- moved %{_libdir}/libktorrent.so to main package
- configure with disable-static and enable-shared
- added %exclude %{_libdir}/lib*.la

* Mon Apr  3 2006 Roland Wolters <rolandwolters@web.de> 1.2-1
- initial packaging
